package com.fs.company.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 企业用户坐席对象 company_voice_caller
 *
 * @author fs
 * @date 2023-02-23
 */
public class CompanyVoiceCaller extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long callerId;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long companyUserId;

    /** 坐席号 */
    @Excel(name = "坐席号")
    private String callerNo;

    /** 手机号 主叫 */
    @Excel(name = "手机号 主叫")
    private String mobile;

    /** 状态 1正常0禁用 */
    @Excel(name = "状态 1正常0禁用")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bindTime; //绑定事件

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getCallerId() {
        return callerId;
    }

    public void setCallerId(Long callerId) {
        this.callerId = callerId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getCompanyUserId() {
        return companyUserId;
    }

    public void setCompanyUserId(Long companyUserId) {
        this.companyUserId = companyUserId;
    }

    public String getCallerNo() {
        return callerNo;
    }

    public void setCallerNo(String callerNo) {
        this.callerNo = callerNo;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }
}
